# Ensure that trying to get non-utf-encoded URLs results in
# HTTP 400 (bad request) and not a 500/oops.
import requests
from sst.actions import (
    assert_text_contains,
    go_to
)
from u1testutils.sst import config

base_url = config.get_base_url_from_env()
config.set_base_url_from_env()

# Is root working OK?
go_to('')
assert_text_contains('content', 'One account to log in')

# Try nonexistent url. We're in debugging mode so we'll get Django's 404 page
go_to("weird")
assert_text_contains('summary', "Page not found")

# Try malformed request. Use requests because we care about the
# HTTP status and it's not easy to get with Selenium/Firefox.
response = requests.get(base_url + "/weird%C0")

# Should return 400 (malformed request).
assert response.status_code == 400

# Should not contain OOPS-ID
assert "OOPS-ID" not in response.content
