import os
import sys

# before doing anything else, patch stdout to avoid breakage in production
# see LP: #1099459 for details
sys.stdout = sys.stderr

# add current dir to system path if not already there
# check if path is already there to avoid path duplication when
# modwsgi is configured for code reloading
curdir = os.path.abspath(os.path.dirname(__file__))
if curdir not in sys.path:
    sys.path.append(curdir)
import paths
paths.setup_paths()

import django
django.setup()

from django.conf import settings
from django.core.management import call_command

os.environ['PGCONNECT_TIMEOUT'] = str(settings.PGCONNECT_TIMEOUT)
os.environ['PGSSLMODE'] = 'allow'

from identityprovider.wsgi import make_app

application = make_app()


# according to sentry documentation, we should instrument this gunicorn hook
# see https://docs.getsentry.com/on-premise/clients/python/integrations/django/#gunicorn  # noqa
def when_ready(server):
    call_command('validate')
